%define	name			psh
%define	version			1.8.1

%define	_requires_exceptions	perl(Win32)

Name:       %{name}
Version:    %perl_convert_version %{version}
Release:    %mkrel 7
Summary:    Developping for Perl Shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{name}
Source0:    http://www.cpan.org/modules/by-module//%{name}-%{version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Spec)
BuildArch:  noarch

%description
*psh* is a Perl program which executes a read-eval loop with enough options
so that general behavior reasonably similar to more traditional shells like
'*sh*' or '*bash*' can be achieved, while still allowing arbitrary perl
expressions to be evaluated.

By default within *psh*, the Perl *-w* flag and ''use strict'' are not
employed so that the user is not bound by their stipulations. They can both
be turned on via a command-line flag; or setting '$^W = 1' will turn on
warnings, and calling ''use strict'' will (almost) do the usual thing if
called by the user (see LIMITATIONS, below).

Each line of input is read. *psh* knows a number of possible strategies for
evaluating the line, such as "send it to 'system()' if it starts with the
name of an executable visible in '$ENV{PATH}'". (See below for a complete
list.) Each strategy in turn (from a user-definable list) examines the
command line to see if it can apply, and the first matching strategy
evaluates the line. There is a *psh* configuration variable (see below)
which controls whether the perl value of the evaluation is saved and
printed after each command.

%prep
%setup -q -n %{name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc COPYRIGHT HACKING INSTALL META.yml README RELEASE TODO examples
%{_bindir}/psh
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-7.mga4
+ Revision: 517764
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8.1-6.mga3
+ Revision: 378278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 jquelin <jquelin> 1.8.1-5.mga1
+ Revision: 62832
- mageia rebuild

  + kharec <kharec>
    - imported package psh


* Sun Jul 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.8.1-5mdv2011.0
+ Revision: 554817
- use the macros %%{_bindir} and %%{_mandir}

* Thu Feb 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.8.1-4mdv2010.1
+ Revision: 504076
- rewrite part of spec to fix warnings

* Sun Jan 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1.8.1-3mdv2010.1
+ Revision: 485974
- fix summary

* Sun Jan 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1.8.1-2mdv2010.1
+ Revision: 485907
- removing bogus requires:

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1.8.1-1mdv2010.1
+ Revision: 484364
- import psh


* Thu Dec 31 2009 cpan2dist 1.8-1mdv
- initial mdv release, generated with cpan2dist
